package com.lanyun.wanglaotou.util

import android.content.Context
import android.content.pm.PackageManager.NameNotFoundException

object VersionUtil{
    /**
     * 获取版本名
     *
     * @param context
     * @return 获取失败则返回null
     */
    fun getVersionName(context: Context): String? {
        // 包管理者
        val mg = context.packageManager
        try {
            // getPackageInfo(packageName 包名, flags 标志位（表示要获取什么数据）);
            // 0表示获取基本数据
            val info = mg.getPackageInfo(context.packageName, 0)
            return info.versionName
        } catch (e: NameNotFoundException) {
            e.printStackTrace()
        }
        return null
    }

    fun getVersionCode(context: Context): Int {
        // 包管理者
        val mg = context.packageManager
        try {
            // getPackageInfo(packageName 包名, flags 标志位（表示要获取什么数据）);
            // 0表示获取基本数据
            val info = mg.getPackageInfo(context.packageName, 0)
            return info.versionCode
        } catch (e: NameNotFoundException) {
            e.printStackTrace()
        }
        return 0
    }
}